set linesize 32000
set pagesize 1000
set long 2000000000
set longchunksize 1000
set head on
set echo on
set termout on
set trimspool on
set timing on

spool oratest.log

set define off

-- oracle version

drop table test;

create table test(a number,b number);

insert into test values(1,1);

insert into test select * from test;
insert into test select * from test;
insert into test select * from test;
insert into test select * from test;
insert into test select * from test;
insert into test select * from test;
insert into test select * from test;
insert into test select * from test;
insert into test select * from test;
insert into test select * from test;
insert into test select * from test;
insert into test select * from test;
insert into test select * from test;
insert into test select * from test;
insert into test select * from test;
insert into test select * from test;
insert into test select * from test;
insert into test select * from test;
insert into test select * from test;
insert into test select * from test;

-- 1048576 rows

select count(*) from test;

create index testi on test (a);

insert into test values (2,2);

execute dbms_stats.gather_table_stats(NULL,'TEST',METHOD_OPT=>'FOR ALL COLUMNS SIZE 2048');

select sum_b from
(select a,sum(b) sum_b
from test
group by a) inner_query
where 
a=2;

explain plan into plan_table for
select sum_b from
(select a,sum(b) sum_b
from test
group by a) inner_query
where 
a=2;

set markup html preformat on

select * from table(dbms_xplan.display('PLAN_TABLE',NULL,'ALL'));

spool off
